ARG DOCKER_PREFIX=wapmobil/
FROM ${DOCKER_PREFIX}osx

ARG LIBS_BUILD_NUMBER=9999
ARG JOBS_COUNT=4

WORKDIR /soft
RUN git clone -b release --depth 1 --recursive https://git.shs.tools/SHS/libs.git

WORKDIR /soft/libs_build_host
RUN cmake -DICU=0 -DCROSSTOOLS=1 -DBUILD_NUMBER=${LIBS_BUILD_NUMBER} ../libs \
 && make install -j${JOBS_COUNT} \
 && rm -rf * \
 && ldconfig

WORKDIR /soft/libs_build_osx
RUN cmake -DCMAKE_INSTALL_PREFIX=/soft/osx -DICU=0 -DLIB=0 -DQGLENGINE=1 -DQGLVIEW=1 -DBUILD_NUMBER=${LIBS_BUILD_NUMBER} -DCMAKE_TOOLCHAIN_FILE=/soft/toolchain-Darwin.cmake ../libs/ \
 && make install -j${JOBS_COUNT} && rm -rf *

WORKDIR /soft/src
